.TH "src/mongodbhandler/mongodb_handler.hpp" 3 "Fri Jan 7 2022" "ombs-OnlineMovieBookingSystem" \" -*- nroff -*-
.ad l
.nh
.SH NAME
src/mongodbhandler/mongodb_handler.hpp
.SH SYNOPSIS
.br
.PP
\fC#include <vector>\fP
.br
\fC#include <string>\fP
.br
\fC#include <mutex>\fP
.br
\fC#include 'SimpleJSON/json\&.hpp'\fP
.br
\fC#include 'mongocxx/client\&.hpp'\fP
.br
\fC#include 'mongocxx/database\&.hpp'\fP
.br
\fC#include 'mongocxx/uri\&.hpp'\fP
.br
\fC#include 'mongocxx/instance\&.hpp'\fP
.br

.SS "Classes"

.in +1c
.ti -1c
.RI "class \fBomsb::MongoDbHandler\fP"
.br
.RI "this is the class to allow creation of controller objects as needed for ombs mongodb database "
.in -1c
.SS "Namespaces"

.in +1c
.ti -1c
.RI " \fBomsb\fP"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "constexpr char \fBomsb::ombsMongoDbUri\fP [] = 'mongodb://0\&.0\&.0\&.0'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsOmbsDatabaseName\fP [] = 'ombs_database'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsMovieShowsCollectionName\fP [] = 'movieshows'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsTheatersCollectionName\fP [] = 'theaters'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsMoviesCollectionName\fP [] = 'movies'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsSeatsCollectionName\fP [] = 'seats'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsBookingsCollectionName\fP [] = 'bookings'"
.br
.ti -1c
.RI "const int \fBomsb::NUMBER_OF_SEATS_FOR_A_MOVIE_IN_THEATER\fP = 20"
.br
.RI "Assume that available seats number for a couple of given thrater and movie is 20\&. "
.ti -1c
.RI "mongocxx::instance \fBomsb::instance\fP"
.br
.RI "instance to mongodb driver, should be declared only once in all the application\&. "
.ti -1c
.RI "std::mutex \fBomsb::seats_booking_mutex_lock\fP"
.br
.RI "this a lock mutex to avoid averbooking when we book a list of seats "
.in -1c
.SH "Author"
.PP 
Generated automatically by Doxygen for ombs-OnlineMovieBookingSystem from the source code\&.
